NewWacht Bench is live — AI-assisted development for Wacht

Trigger Webhook Event

POST
/webhooks/apps/{app_slug}/trigger

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/webhooks/apps/string/trigger" \  -H "Content-Type: application/json" \  -d '{    "app_slug": "string",    "event_name": "string",    "payload": null  }'
{
  "delivery_ids": "string",
  "filtered_count": 0,
  "delivered_count": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}